ArcGIS Explorer can be installed along with other supported ArcGIS product versions: ArcGIS 9.2 Service Pack 6, ArcGIS 9.3, ArcGIS 9.3.1 and ArcGIS 10.  ArcGIS product versions installed on the machine are required to be identical.

Table of Contents

Supported Operating Systems

Software Requirements

Hardware Requirements

Developer (SDK) Requirements

Supported Operating Systems

Supported Operating System Minimum Version Maximum Version
Windows 2003 Server Standard, Enterprise & Datacenter (32-bit and 64-bit (EM64T)) SP2 SP2
Windows 2008 Server Standard, Enterprise & Datacenter (32-bit and 64-bit (EM64T))   SP2
Windows 2008 R2 Server Standard, Enterprise & Datacenter (64-bit (EM64T))    
Windows 7 Ultimate, Professional, Home Premium (32-bit and 64-bit (EM64T))    
Windows Vista Ultimate, Enterprise, Business, Home Premium (32-bit and 64-bit (EM64T)) SP1 SP2
Windows XP Professional Edition, Home Edition (32-bit) SP3 SP3
Windows XP Professional Edition, Home Edition (64-bit (EM64T)) SP2 SP2

Software Requirements

Microsoft .NET Framework 2.0 Service Pack 2 or equivalent must be installed prior to installing ArcGIS Explorer.

Microsoft XML Core Services (MSXML) 4.0 Service Pack 2 must be installed prior to installing ArcGIS Explorer.

Microsoft Internet Explorer Version 7.0 or 8.0 must be installed prior to installing ArcGIS Explorer.

Hardware Requirements

  ArcGIS Explorer
CPU Speed 2.2 GHz recommended or higher
Processor Intel Core Duo, Pentium 4 or Xeon Processors
Memory/RAM 1 GB minimum, 2 GB recommended or higher
Display Properties 24 bit color depth
Screen Resolution 1024 x 768 recommended or higher at normal size (96dpi)
Swap Space Determined by the operating system, 500 MB minimum
Disk Space

163 MB

ArcGIS Explorer will create cache files when used, additional disk space may be required.

Bandwidth Connection Speed Minimum 380 Kbps, 1500 Kbps recommended or higher
Video/Graphics Adapter

Check your computer's ability to run ArcGIS Explorer

24-bit capable graphics accelerator

An OpenGL 2.0 or higher compliant video card is required, with at least 32 MB video memory, however 256 MB of video memory or higher is recommended.

 

Developer (SDK) Requirements

 ESRI supports and recommends the following integrated development environments (IDE) for use with ArcGIS Explorer SDK:

SDK Supported IDE Requirements
ArcGIS Explorer SDK for the Microsoft .NET Framework

Visual Studio 2008 SP1 Visual Basic Express

Visual Studio 2008 SP1 Visual C# Express

Visual Studio 2008 SP1 (C#, VB.NET) Standard, Professional

ArcGIS Explorer is required to install ArcGIS Explorer SDK for the Microsoft .NET Framework.

ArcGIS Explorer must be installed with Administrative Privileges for All Users for correct SDK installation.

 

 

 

 

 

Filed under: